=== debian/changelog ===
libvirt (10.0.0-2ubuntu8.5~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jan 2025 10:43:14 +0000

libvirt (10.0.0-2ubuntu8.5) noble; urgency=medium

  - d/p/u/lp-2051754-*.patch: Refresh patches against accepted
    upstream version.  This should not have any visible user changes.
  - d/p/u/lp-2071848-fix-migration-with-disabled-vmx-features.patch:
    Refresh patch.
  - d/p/u/lp-2083986-*.patch: Backport upstream patches to fix issues
    with domain migrations between two nested VMs due to mismatched
    check of CPU features. (LP: #2083986)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 25 Nov 2024 21:02:52 -0500

libvirt (10.0.0-2ubuntu8.4) noble; urgency=medium

  * d/p/u/lp-2072647-log_cleaner-Detect-rotated-filenames-properly.patch:
    Fix virtlogd bug "internal error: Failed to parse rotated index", this
    happens when max_age_days parameter is enabled. (LP: #2072647)

 -- David Negreira <david.negreira@canonical.com>  Wed, 10 Jul 2024 13:23:06 +0000

libvirt (10.0.0-2ubuntu8.3) noble; urgency=medium

  * d/p/u/lp-2071848-fix-migration-with-disabled-vmx-features.patch:
    Fix migration issues with disabled vmx-* CPU features. (LP: #2071848)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 05 Jul 2024 14:48:04 -0400

libvirt (10.0.0-2ubuntu8.2) noble-security; urgency=medium

  * SECURITY UPDATE: stack use-after-free in virNetClientIOEventLoop()
    - debian/patches/CVE-2024-4418.patch: ensure temporary GSource is
      removed from client event loop in src/rpc/virnetclient.c.
    - CVE-2024-4418

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 May 2024 09:12:37 -0400

libvirt (10.0.0-2ubuntu8.1) noble-security; urgency=medium

  * SECURITY UPDATE: off-by-one in udevListInterfacesByStatus()
    - debian/patches/CVE-2024-1441.patch: properly check count in
      src/interface/interface_backend_udev.c.
    - CVE-2024-1441
  * SECURITY UPDATE: crash in RPC library
    - debian/patches/CVE-2024-2494.patch: check values in
      src/remote/remote_daemon_dispatch.c, src/rpc/gendispatch.pl.
    - CVE-2024-2494

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 18 Apr 2024 11:42:32 -0400

libvirt (10.0.0-2ubuntu8) noble; urgency=medium

  * Rebuild against new libpcap0.8t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Apr 2024 10:17:16 +0200

libvirt (10.0.0-2ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:19:57 +0000

libvirt (10.0.0-2ubuntu6) noble; urgency=medium

  * d/p/u/lp-2051754-*.patch: Backport upstream fix for LP: #2051754.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 19 Mar 2024 22:22:12 -0400

libvirt (10.0.0-2ubuntu5) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:06:57 +0000

libvirt (10.0.0-2ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:06:29 +0000

libvirt (10.0.0-2ubuntu3) noble; urgency=medium

  * No-change rebuild against libgnutls30t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 10 Mar 2024 02:08:29 +0000

libvirt (10.0.0-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:26:53 +0000

libvirt (10.0.0-2ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054479). Remaining changes:
    - Disable libssh2 support (universe dependency)
    - d/control: add libzfslinux-dev to build-deps
    - d/control: drop libvirt-lxc, vbox and xen drivers to suggest
    - debian/patches/ubuntu/ovmf_paths.patch: adjust paths to secboot.fd UEFI
      Secure Boot enabled variants of the OVMF firmware and variable store for
      the paths where we ship these files in Ubuntu.
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Additional apport package-hook
    - Autostart default bridged network (As upstream does, but not Debian).
      In addition to just enabling it our solution provides:
      + do not autostart if subnet is already taken (e.g. in guests).
      + iterate some alternative subnets before giving up
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite a long time.
      + d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
      + d/libvirt-daemon-system.postinst: add users in sudo to the libvirt
        group.
    - Update README.Debian with Ubuntu changes
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - fix autopkgtests (LP 1899180)
      + d/t/control, d/t/smoke-qemu-session: fixup smoke-qemu-session by making
        vmlinuz available and accessible (Debian bug 848314)
      + d/t/control: fix smoke-qemu-session by ensuring the service will run
        installing libvirt-daemon-system
      + d/t/smoke-lxc: fix smoke-lxc by ignoring potential issues on destroy as
        long as the following undefine succeeds
      + d/t/smoke-lxc: use systemd instead of sysV to restart the service
      + d/t/control, d/t/smoke-lxc: retry service restart and skip test if
        failing; This was flaky on some release/architectures
      + d/t/smoke-lxc: retry check_domain being flaky on arm64
    - dnsmasq related enhancements
      + run dnsmasq as libvirt-dnsmasq (LP 1743718)
      + d/libvirt-daemon-system.postinst: add libvirt-dnsmasq user and group
      + d/libvirt-daemon-system.postrm: remove libvirt-dnsmasq user and group
        on purge
      + d/p/ubuntu/dnsmasq-as-priv-user: write dnsmasq config with user
        libvirt-dnsmasq and adapt the self tests to expect that config

