## libvirt 10.4.0

=== debian/changelog ===
libvirt (10.4.0-1) unstable; urgency=medium

  * [7ed6608] New upstream version 10.4.0
  * [d8acf23] patches: Drop backports

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 04 Jun 2024 00:19:48 +0200

libvirt (10.3.0-3) unstable; urgency=medium

  * [aa7ed20] patches: Add backport/tests-fix-hang-in-virshtest[...]
    - Fixes FTBFS

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 09 May 2024 00:03:19 +0200

libvirt (10.3.0-2) unstable; urgency=medium

  * [13f1f61] patches: Add backport/vsh-Don-t-init-history[...]
    - Fixes FTBFS (Closes: #1070498)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 07 May 2024 00:04:24 +0200

libvirt (10.3.0-1) unstable; urgency=medium

  * [7845089] New upstream version 10.3.0
  * [be65bee] patches: Add backport/rpc-ensure-temporary-GSource[...]
    - Fixes CVE-2024-4418 (Closes: #1070330)

 -- Andrea Bolognani <eof@kiyuko.org>  Sat, 04 May 2024 00:16:21 +0200

libvirt (10.2.0-1) unstable; urgency=medium

  * [c1118d1] New upstream version 10.2.0
    - Fixes CVE-2024-2494 (Closes: #1067461)

 -- Andrea Bolognani <eof@kiyuko.org>  Tue, 02 Apr 2024 23:42:38 +0200

libvirt (10.1.0-1) unstable; urgency=medium

  * [517918e] New upstream version 10.1.0
    - Fixes CVE-2024-1441 (Closes: #1066058)
  * [84128fe] patches: Drop backports

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 20 Mar 2024 00:18:12 +0100

libvirt (10.0.0-3) experimental; urgency=medium

  * [e31fc9e] control: Recommend pkgconf instead of pkg-config
  * [fd2edf5] templates: Convert some files to templates
    - Some of the packaging files are now maintained as templates,
      where values are dynamically injected at build time. See
      debian/README.source for additional information
  * [ff0974e] control: Improve driver-specific package relationships
    - Ensure installability on architectures where the QEMU
      driver has been intentionally disabled

 -- Andrea Bolognani <eof@kiyuko.org>  Wed, 21 Feb 2024 23:04:34 +0100
