=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libvirt
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders:
  Guido Günther <agx@sigxcpu.org>,
  Andrea Bolognani <eof@kiyuko.org>,
@@ -11,14 +10,13 @@
  bash-completion,
  debhelper-compat (= 13),
  dh-apparmor [linux-any],
- iptables [linux-any],
  kmod [linux-any],
  libacl1-dev [linux-any],
- libapparmor-dev [linux-any],
+ libapparmor-dev (>= 3.0.0) [linux-any],
  libattr1-dev [linux-any],
  libaudit-dev [linux-any],
  libblkid-dev [linux-any],
- libc6-dev,
+ libc-dev (>= 2.31-14~),
  libcap-ng-dev [linux-any],
  libcurl4-gnutls-dev [linux-any],
  libdevmapper-dev [linux-any],
@@ -40,6 +38,7 @@
  libsasl2-dev,
  libselinux1-dev [linux-any],
  libssh-dev,
+ libssh2-1-dev,
  libtasn1-6-dev,
  libtirpc-dev,
  libudev-dev [linux-any],
@@ -48,16 +47,15 @@
  libxml2-dev,
  libxml2-utils,
  libyajl-dev [linux-any],
- libzfslinux-dev [linux-amd64 linux-arm64 linux-armhf linux-i386 linux-ppc64el linux-s390x],
  lvm2 [linux-any],
  meson,
  mount [linux-any],
- nfs-common [linux-any],
- numad [linux-any],
+ nfs-common:native [linux-any],
+ numad:native [linux-any],
  open-iscsi [linux-any],
  po-debconf,
  python3-docutils,
- python3,
+ python3:native,
  qemu-utils [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  systemtap-sdt-dev [linux-any],
  xsltproc,
@@ -76,9 +74,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests:
- libvirt-clients-qemu (= ${binary:Version}),
- libvirt-daemon (= ${binary:Version}),
- libvirt-login-shell (= ${binary:Version}),
+ libvirt-clients-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libvirt-daemon (= ${binary:Version}),
+ libvirt-login-shell (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
 Breaks:
  libvirt-daemon (<< 6.9.0-2~),
  libvirt-daemon-driver-qemu (<< 6.9.0-2~),
@@ -137,24 +135,24 @@
 Section: admin
 Architecture: linux-any
 Depends:
- libvirt-daemon-driver-qemu (= ${binary:Version}),
+ libvirt-daemon-driver-qemu (= ${binary:Version}) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libvirt0 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
+ libvirt-daemon-driver-lxc (= ${binary:Version}) [alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32],
+ libvirt-daemon-driver-vbox (= ${binary:Version}) [amd64 i386],
+ libvirt-daemon-driver-xen (= ${binary:Version}) [amd64 arm64 armhf],
  libxml2-utils,
  lvm2,
  mount,
  netcat-openbsd,
  qemu-kvm | qemu-system,
 Suggests:
- libvirt-daemon-driver-storage-gluster (= ${binary:Version}),
+ libvirt-daemon-driver-storage-gluster (= ${binary:Version}) [amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
  libvirt-daemon-driver-storage-iscsi-direct (= ${binary:Version}),
- libvirt-daemon-driver-storage-rbd (= ${binary:Version}),
+ libvirt-daemon-driver-storage-rbd (= ${binary:Version}) [amd64 arm64 mips64el ppc64el riscv64 s390x],
  libvirt-daemon-driver-storage-zfs (= ${binary:Version}),
- libvirt-daemon-driver-lxc (= ${binary:Version}),
- libvirt-daemon-driver-vbox (= ${binary:Version}),
- libvirt-daemon-driver-xen (= ${binary:Version}),
  libvirt-daemon-system (= ${binary:Version}),
  numad,
 Enhances:
@@ -189,10 +187,9 @@
 Replaces:
  libvirt-clients (<< 6.9.0-2~),
 Recommends:
+ passt,
  swtpm,
  swtpm-tools,
-Suggests:
- passt,
 Description: Virtualization daemon QEMU connection driver
  Libvirt is a C toolkit to interact with the virtualization capabilities
  of recent versions of Linux (and other OSes). The library aims at providing
@@ -337,21 +334,3 @@
  libvirt-clients (= ${binary:Version}),
  libvirt-daemon (= ${binary:Version}),
  libvirt-daemon-config-network (= ${source:Version}),
- libvirt-daemon-config-nwfilter (= ${source:Version}),
- libvirt-daemon-system-systemd (= ${source:Version}) | libvirt-daemon-system-sysv (= ${source:Version}),
- libvirt0 (<< ${source:Version}.1~),
- libvirt0 (>= ${source:Version}),
- logrotate,
- polkitd (>= 0.105-33),
- ${misc:Depends},
-Recommends:
- dmidecode,
- dnsmasq-base,
- iproute2,
- mdevctl,
- parted,
-Suggests:
- apparmor,
- auditd,
- nfs-common,
- open-iscsi,
