=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,7 @@
 DPKG_GENSYMBOLS_CHECK_LEVEL = 4
 export DPKG_GENSYMBOLS_CHECK_LEVEL
 
-ARCHES_CEPH = amd64 arm64 mips64el ppc64el riscv64 s390x
-ARCHES_GLUSTER = amd64 arm64 ia64 mips64el ppc64 ppc64el riscv64 s390x sparc64
-ARCHES_QEMU = amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-ARCHES_LXC  = alpha amd64 arm64 armel armhf hppa i386 m68k mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sh4 sparc64 x32
-ARCHES_XEN  = amd64 arm64 armhf
-ARCHES_VBOX = amd64 i386
-
-# Keep this list empty until we have AppArmor support
-ARCHES_NBDKIT =
+include debian/arches.mk
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
     WITH_DAEMONS              = -Ddriver_libvirtd=enabled -Dhost_validate=enabled
@@ -44,7 +36,7 @@
     WITH_UDEV                 = -Dudev=enabled -Dpciaccess=enabled
     WITH_CAPNG                = -Dcapng=enabled
     WITH_LIBNL                = -Dlibnl=enabled
-    WITH_NETWORK              = -Ddriver_network=enabled
+    WITH_NETWORK              = -Ddriver_network=enabled -Dfirewall_backend_priority=iptables,nftables
     WITH_INTERFACE            = -Ddriver_interface=enabled
     WITH_SECRETS              = -Ddriver_secrets=enabled
     WITH_OPENVZ               = -Ddriver_openvz=enabled
@@ -61,7 +53,7 @@
     WITH_NSS_PLUGIN           = -Dnss=enabled
     WITH_DTRACE               = -Ddtrace=enabled
     WITH_NUMA                 = -Dnumactl=enabled -Dnumad=enabled
-    WITH_SYSCTL               = -Dsysctl_config=enabled
+    WITH_SYSCTL               = -Dsysctl_config=enabled -Duserfaultfd_sysctl=enabled
     WITH_WIRESHARK            = -Dwireshark_dissector=enabled
 else
     WITH_DAEMONS              = -Ddriver_libvirtd=disabled -Dhost_validate=disabled
@@ -81,7 +73,7 @@
     WITH_UDEV                 = -Dudev=disabled -Dpciaccess=disabled
     WITH_CAPNG                = -Dcapng=disabled
     WITH_LIBNL                = -Dlibnl=disabled
-    WITH_NETWORK              = -Ddriver_network=disabled
+    WITH_NETWORK              = -Ddriver_network=disabled -Dfirewall_backend_priority=iptables,nftables
     WITH_INTERFACE            = -Ddriver_interface=disabled
     WITH_SECRETS              = -Ddriver_secrets=disabled
     WITH_OPENVZ               = -Ddriver_openvz=disabled
@@ -98,7 +90,7 @@
     WITH_NSS_PLUGIN           = -Dnss=disabled
     WITH_DTRACE               = -Ddtrace=disabled
     WITH_NUMA                 = -Dnumactl=disabled -Dnumad=disabled
-    WITH_SYSCTL               = -Dsysctl_config=disabled
+    WITH_SYSCTL               = -Dsysctl_config=disabled -Duserfaultfd_sysctl=disabled
     WITH_WIRESHARK            = -Dwireshark_dissector=disabled
 endif
 
@@ -144,6 +136,7 @@
     --libexecdir=/usr/lib/libvirt \
     -Drunstatedir=/run \
     -Dinitconfdir=/etc/default \
+    -Dsshconfdir=/etc/ssh/ssh_config.d \
     -Dno_git=true \
     -Dpackager="$(DEB_VENDOR)" \
     -Dpackager_version="$(DEB_VERSION)" \
@@ -151,6 +144,7 @@
     $(WITH_QEMU) \
     -Ddriver_remote=enabled \
     -Dremote_default_mode=legacy \
+    -Dssh_proxy=disabled \
     -Ddriver_test=enabled \
     -Ddriver_ch=disabled \
     -Ddriver_bhyve=disabled \
@@ -158,7 +152,7 @@
     -Dopenwsman=disabled \
     -Ddriver_vz=disabled \
     -Dqemu_user=libvirt-qemu \
-    -Dqemu_group=kvm \
+    -Dqemu_group=libvirt-qemu \
     -Dqemu_moddir=/usr/lib/$(DEB_HOST_MULTIARCH)/qemu \
     -Dqemu_datadir=/usr/share/qemu \
     -Ddocs=enabled \
@@ -169,7 +163,7 @@
     -Dtls_priority=NORMAL \
     $(WITH_OPENVZ) \
     -Dsasl=enabled \
-    -Dlibssh2=disabled \
+    -Dlibssh2=enabled \
     -Dlibssh=enabled \
     -Dreadline=enabled \
     -Dbash_completion=enabled \
@@ -184,3 +178,13 @@
     $(WITH_STORAGE_SCSI) \
     $(WITH_STORAGE_ISCSI) \
     $(WITH_STORAGE_ISCSI_DIRECT) \
+    $(WITH_STORAGE_DISK) \
+    $(WITH_STORAGE_RBD) \
+    $(WITH_STORAGE_GLUSTER) \
+    $(WITH_STORAGE_MPATH) \
+    $(WITH_STORAGE_ZFS) \
+    -Dstorage_vstorage=disabled \
+    $(WITH_BLKID) \
+    $(WITH_FUSE) \
+    $(WITH_INIT_SCRIPT) \
+    $(WITH_NUMA) \
