## libvirt 10.5.0

=== debian/changelog ===
libvirt (10.5.0-1) unstable; urgency=medium

  * [a8c62f5] New upstream version 10.5.0
    - Fixes qemu:///session (Closes: #1072723, #1072769)

 -- Andrea Bolognani <eof@kiyuko.org>  Thu, 04 Jul 2024 00:44:29 +0200
