=== debian/rules ===
--- 
+++ 
@@ -137,6 +137,8 @@
     -Drunstatedir=/run \
     -Dinitconfdir=/etc/default \
     -Dsshconfdir=/etc/ssh/ssh_config.d \
+    -Dunitdir=/usr/lib/systemd/system \
+    -Dsysusersdir=/usr/lib/sysusers.d \
     -Dno_git=true \
     -Dpackager="$(DEB_VENDOR)" \
     -Dpackager_version="$(DEB_VERSION)" \
@@ -184,7 +186,3 @@
     $(WITH_STORAGE_MPATH) \
     $(WITH_STORAGE_ZFS) \
     -Dstorage_vstorage=disabled \
-    $(WITH_BLKID) \
-    $(WITH_FUSE) \
-    $(WITH_INIT_SCRIPT) \
-    $(WITH_NUMA) \
